RANDOMSOUND(8)

NAME
randomsound - ALSA sound card related entropy gathering daemon.

SYNOPSIS
randomsound [options]

DESCRIPTION

Using the low order bit of the ADC output of your sound card, randomsound gathers entropy, debiases it and offers it up to your kernel's random pool. It can be tweaked to only write into the pool when it drops below a certain level, and to back off once the pool is full enough. This build will set your sound card into 16 bit mono unsigned input at 8KHz. If your sound card cannot do that then you will need to change the defines in asoundrunner.c and recompile the package. You must have set up asound as root on your machine. This can be done with the asoundconf tool and its set-default-card command.

You may also need to use the alsamixer to ensure that the sound card is generating plenty of noise. Set all the gains nice and high, turn on any boosters you have. If you have a V_REFLVL or similar then consider tweaking that.

OPTIONS

-D  Daemonize

-v  Increase verbosity. Can be used more than once.

-m  specify minimum number of bits of entropy in the pool.

-M  specify max number of bits in the pool.

-b  specify number of bytes of randomness to buffer for use.

-d  specify number of bytes to deposit into the pool each time.

-h  display help message

-V  display version information.

AUTHOR
randomsound was written by Daniel Silverstone <dsilvers@digital-scurf.org>